#include <termios.h>

typedef struct IInterface {
	int IInt; /* Die Variable die auf das Interface zeigt */
	struct termios newioset; /* Our new settings */
	struct termios saveioset; /* The pointer we save the old settings in*/
	unsigned char MotorStatus; /* hex, Motor state */
	unsigned short int Digitals; /* all Digitals in a hex number */
	unsigned short int AnaX; /* Analog X, dezimal */
	unsigned short AnaY;
	char Digital[8+1]; /* array for digital inputs */
} IInterfaceDef;

extern void IIinit(IInterfaceDef **myInterface	, char *Device);
extern IInterfaceDef *IIexit(IInterfaceDef **myInterface);
extern void SetMotor(IInterfaceDef **myInterface, int Motor, char direction);
extern char GetMotor(IInterfaceDef **myInterface, int Motor);
